from pydantic import BaseModel
from datetime import datetime
from typing import Optional

# Base Schema for Todo items
class TodoBase(BaseModel):
    title: str
    description: Optional[str] = None
    completed: bool = False

# Schema for Todo creation
class TodoCreate(TodoBase):
    pass

# Schema for Todo update
class TodoUpdate(BaseModel):
    title: Optional[str] = None
    description: Optional[str] = None
    completed: Optional[bool] = None

# Schema for Todo response
class TodoResponse(TodoBase):
    id: int
    created_at: datetime
    updated_at: Optional[datetime] = None

    class Config:
        from_attributes = True